Bug 4051 - add columns to overdues export
Summary: add columns to overdues export
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Adrien SAURAT
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-19 10:59 UTC by Nahuel Angelinetti
Modified: 2013-12-05 20:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (1.30 KB, patch)
2011-08-31 15:12 UTC, Paul Poulain
Details | Diff | Splinter Review
proposed patch (1.30 KB, patch)
2011-08-31 15:17 UTC, Paul Poulain
Details | Diff | Splinter Review
patch adding issuedate (1.64 KB, patch)
2011-12-02 09:53 UTC, Adrien SAURAT
Details | Diff | Splinter Review
Bug 4051: adds issuedate column to overdues export (1.69 KB, patch)
2011-12-04 02:23 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:22:35 UTC


---- Reported by nahuel.angelinetti@biblibre.com 2010-01-19 10:59:46 ----

2 more columns are needed in csv export of overdues :
 * item callnumber
 * issue date



---- Additional Comments From nahuel.angelinetti@biblibre.com 2010-01-19 13:18:08 ----

first name and last name must be separated in two columns.



---- Additional Comments From gmcharlt@gmail.com 2010-02-08 17:40:12 ----

The patches that were sent to patches@koha.org do not apply against HEAD and never did.  Please resubmit.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:22 UTC  ---

This bug was previously known as _bug_ 4051 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4051

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Comment 2 Chris Cormack 2010-12-14 08:42:26 UTC
Do we need these for master?
Comment 3 Owen Leonard 2011-08-12 16:44:12 UTC
Paul, is this something you think we need in master?
Comment 4 Paul Poulain 2011-08-31 15:12:54 UTC Comment hidden (obsolete)
Comment 5 Paul Poulain 2011-08-31 15:17:51 UTC Comment hidden (obsolete)
Comment 6 Magnus Enger 2011-10-06 12:53:29 UTC
Comment on attachment 5242 [details] [review]
proposed patch

As far as I can tell, this is obsoleted by Attachment #5243 [details].
Comment 7 Magnus Enger 2011-10-06 13:37:34 UTC
itemcallnumber is already included in the CSV export, see: 

http://git.koha-community.org/gitweb/?p=koha.git;a=blob;f=circ/overdue.pl;h=2bdafe1a0bb969fd2e80ae86d12fc02ec08bb2ef;hb=HEAD#l256

http://git.koha-community.org/gitweb/?p=koha.git;a=blob;f=circ/overdue.pl;h=2bdafe1a0bb969fd2e80ae86d12fc02ec08bb2ef;hb=HEAD#l324

After applying this patch it is included twice in the SQL query. It only shows up once in the generated CSV, but I'm marking this as failed QA...
Comment 8 Adrien SAURAT 2011-12-02 09:53:23 UTC Comment hidden (obsolete)
Comment 9 Chris Cormack 2011-12-04 02:23:05 UTC
Created attachment 6556 [details] [review]
Bug 4051: adds issuedate column to overdues export

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 10 Paul Poulain 2011-12-06 18:26:33 UTC
QA comment: small patch, easy to read, passed QA

Patch pushed, please test

chris_n = I think it's an enhancement, and suggest not to backport this bug to 3.6: ppl that have automated scripts with CSV may be confused by their scripts not working anymore. But, as usual, it's up to you